EDIT - bug #6328

Warn about available text in other languages if multi-language support is disabled
01/12/2017 04:12 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: major Found in Version:

Description

If multi language support is disabled a Media.description is not shown if it is defined in another language than the defined
(Preferences: Language->Representation->defaultLanguage) representation language.

This is very misleading for users as they think that no data is available, but may happen, if data is generally available in Spanish but
a new user did not yet switch the language in preferences.

A solution could be to disable the editing functionality in this case but show the text in any of the available languages.

Also we could add a warning saying: text is available but not in the chosen language (maybe even with a link to the according page
in the Preferences),

This could generally be helpful to warn about available texts in other languages when multi-language editing is not switched on.

This might be a general issue with multi-language editing, not only valid for Media.description

The same problem occurs if e.g. only a Spanish translation is available for Habitat for a DerivedUnitFacade in Specimen Editor
(problem in salvador DB)

We should also show somewhere which base language is currently selected (especially as long as this is a local preference for all
DBs)

History

#1 - 01/30/2017 03:19 PM - Andreas Miiller

- Subject changed from Warn about available text in other languages if multi-lnaguage support disabled to Warn about available text in other
languages if multi-language support disabled

#2 - 08/01/2017 12:32 PM - Andreas Miiller
- Tags set to salvador
- Description updated

- Severity changed from normal to major

#3 - 11/04/2021 09:31 AM - Andreas Miiller
- Tags changed from salvador to salvador, i18n

- Description updated
#4 - 03/16/2022 04:50 PM - Andreas Miiller

- Subject changed from Warn about available text in other languages if multi-language support disabled to Warn about available text in other
languages if multi-language support is disabled
